#import "enunciate-common.h"

@class RSBREST_DATACatalogFileType;
@class RSBREST_DATAErrorResult;
@class RSBREST_DATAJobToken;
@class RSBREST_DATARServiPoolType;
@class RSBREST_DATAResult;
@class RSBSOAP_DATAJobType;
@class RSBSOAP_DATAPayloadType;
@class RSBSOAP_DATAResultType;
@class RSBSOAP_DATAParameter;
@class RSBREST_DATAResults;
@class RSBREST_DATARServiPools;
@class RSBREST_DATANodeInformation;
@class RSBREST_DATAFileType;
@class RSBREST_DATADirectory;
@class RSBREST_DATACatalogDirectory;
@class RSBREST_DATACatalog;

#ifndef DEF_RSBREST_DATACatalogFileType_H
#define DEF_RSBREST_DATACatalogFileType_H

/**
 *  <p>Java class for catalogFileType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="catalogFileType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="dataUri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATACatalogFileType : NSObject
{
  @private
    NSString *_name;
    NSString *_dataUri;
}

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) dataUri;

/**
 * (no documentation provided)
 */
- (void) setDataUri: (NSString *) newDataUri;
@end /* interface RSBREST_DATACatalogFileType */

#endif /* DEF_RSBREST_DATACatalogFileType_H */
#ifndef DEF_RSBREST_DATAErrorResult_H
#define DEF_RSBREST_DATAErrorResult_H

/**
 *  <p>Java class for errorResultType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="errorResultType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="errorMessage" type="{http://www.w3.org/2001/XMLSchema}string"/>
       &lt;/sequence>
       &lt;attribute name="jobId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="applicationName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="submissionTime" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATAErrorResult : NSObject <EnunciateXML>
{
  @private
    NSString *_jobId;
    NSString *_applicationName;
    NSCalendarDate *_submissionTime;
    NSString *_errorMessage;
}

/**
 * (no documentation provided)
 */
- (NSString *) jobId;

/**
 * (no documentation provided)
 */
- (void) setJobId: (NSString *) newJobId;

/**
 * (no documentation provided)
 */
- (NSString *) applicationName;

/**
 * (no documentation provided)
 */
- (void) setApplicationName: (NSString *) newApplicationName;

/**
 * (no documentation provided)
 */
- (NSCalendarDate *) submissionTime;

/**
 * (no documentation provided)
 */
- (void) setSubmissionTime: (NSCalendarDate *) newSubmissionTime;

/**
 * (no documentation provided)
 */
- (NSString *) errorMessage;

/**
 * (no documentation provided)
 */
- (void) setErrorMessage: (NSString *) newErrorMessage;
@end /* interface RSBREST_DATAErrorResult */

#endif /* DEF_RSBREST_DATAErrorResult_H */
#ifndef DEF_RSBREST_DATAJobToken_H
#define DEF_RSBREST_DATAJobToken_H

/**
 *  <p>Java class for jobTokenType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="jobTokenType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="jobId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="applicationName" use="required" type="{http://rsb.openanalytics.eu/types}applicationNameType" />
       &lt;attribute name="submissionTime" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
       &lt;attribute name="applicationResultsUri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
       &lt;attribute name="resultUri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATAJobToken : NSObject <EnunciateXML>
{
  @private
    NSString *_jobId;
    NSString *_applicationName;
    NSCalendarDate *_submissionTime;
    NSString *_applicationResultsUri;
    NSString *_resultUri;
}

/**
 * (no documentation provided)
 */
- (NSString *) jobId;

/**
 * (no documentation provided)
 */
- (void) setJobId: (NSString *) newJobId;

/**
 * (no documentation provided)
 */
- (NSString *) applicationName;

/**
 * (no documentation provided)
 */
- (void) setApplicationName: (NSString *) newApplicationName;

/**
 * (no documentation provided)
 */
- (NSCalendarDate *) submissionTime;

/**
 * (no documentation provided)
 */
- (void) setSubmissionTime: (NSCalendarDate *) newSubmissionTime;

/**
 * (no documentation provided)
 */
- (NSString *) applicationResultsUri;

/**
 * (no documentation provided)
 */
- (void) setApplicationResultsUri: (NSString *) newApplicationResultsUri;

/**
 * (no documentation provided)
 */
- (NSString *) resultUri;

/**
 * (no documentation provided)
 */
- (void) setResultUri: (NSString *) newResultUri;
@end /* interface RSBREST_DATAJobToken */

#endif /* DEF_RSBREST_DATAJobToken_H */
#ifndef DEF_RSBREST_DATARServiPoolType_H
#define DEF_RSBREST_DATARServiPoolType_H

/**
 *  <p>Java class for rServiPoolType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="rServiPoolType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="poolUri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
       &lt;attribute name="applicationNames" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="default" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATARServiPoolType : NSObject
{
  @private
    NSString *_poolUri;
    NSString *_applicationNames;
    BOOL __default;
}

/**
 * (no documentation provided)
 */
- (NSString *) poolUri;

/**
 * (no documentation provided)
 */
- (void) setPoolUri: (NSString *) newPoolUri;

/**
 * (no documentation provided)
 */
- (NSString *) applicationNames;

/**
 * (no documentation provided)
 */
- (void) setApplicationNames: (NSString *) newApplicationNames;

/**
 * (no documentation provided)
 */
- (BOOL) _default;

/**
 * (no documentation provided)
 */
- (void) set_default: (BOOL) new_default;
@end /* interface RSBREST_DATARServiPoolType */

#endif /* DEF_RSBREST_DATARServiPoolType_H */
#ifndef DEF_RSBREST_DATAResult_H
#define DEF_RSBREST_DATAResult_H

/**
 *  <p>Java class for resultType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="resultType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="jobId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="applicationName" use="required" type="{http://rsb.openanalytics.eu/types}applicationNameType" />
       &lt;attribute name="resultTime" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
       &lt;attribute name="success" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
       &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="selfUri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
       &lt;attribute name="dataUri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATAResult : NSObject <EnunciateXML>
{
  @private
    NSString *_jobId;
    NSString *_applicationName;
    NSCalendarDate *_resultTime;
    BOOL _success;
    NSString *_type;
    NSString *_selfUri;
    NSString *_dataUri;
}

/**
 * (no documentation provided)
 */
- (NSString *) jobId;

/**
 * (no documentation provided)
 */
- (void) setJobId: (NSString *) newJobId;

/**
 * (no documentation provided)
 */
- (NSString *) applicationName;

/**
 * (no documentation provided)
 */
- (void) setApplicationName: (NSString *) newApplicationName;

/**
 * (no documentation provided)
 */
- (NSCalendarDate *) resultTime;

/**
 * (no documentation provided)
 */
- (void) setResultTime: (NSCalendarDate *) newResultTime;

/**
 * (no documentation provided)
 */
- (BOOL) success;

/**
 * (no documentation provided)
 */
- (void) setSuccess: (BOOL) newSuccess;

/**
 * (no documentation provided)
 */
- (NSString *) type;

/**
 * (no documentation provided)
 */
- (void) setType: (NSString *) newType;

/**
 * (no documentation provided)
 */
- (NSString *) selfUri;

/**
 * (no documentation provided)
 */
- (void) setSelfUri: (NSString *) newSelfUri;

/**
 * (no documentation provided)
 */
- (NSString *) dataUri;

/**
 * (no documentation provided)
 */
- (void) setDataUri: (NSString *) newDataUri;
@end /* interface RSBREST_DATAResult */

#endif /* DEF_RSBREST_DATAResult_H */
#ifndef DEF_RSBSOAP_DATAJobType_H
#define DEF_RSBSOAP_DATAJobType_H

/**
 *  <p>Java class for jobType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="jobType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="applicationName" type="{http://rsb.openanalytics.eu/types}applicationNameType"/>
         &lt;element name="parameter" maxOccurs="unbounded" minOccurs="0">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                 &lt;attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="payload" type="{http://soap.rsb.openanalytics.eu/types}payloadType" maxOccurs="unbounded"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBSOAP_DATAJobType : NSObject <EnunciateXML>
{
  @private
    NSString *_applicationName;
    NSArray *_parameter;
    NSArray *_payload;
}

/**
 * (no documentation provided)
 */
- (NSString *) applicationName;

/**
 * (no documentation provided)
 */
- (void) setApplicationName: (NSString *) newApplicationName;

/**
 * (no documentation provided)
 */
- (NSArray *) parameter;

/**
 * (no documentation provided)
 */
- (void) setParameter: (NSArray *) newParameter;

/**
 * (no documentation provided)
 */
- (NSArray *) payload;

/**
 * (no documentation provided)
 */
- (void) setPayload: (NSArray *) newPayload;
@end /* interface RSBSOAP_DATAJobType */

#endif /* DEF_RSBSOAP_DATAJobType_H */
#ifndef DEF_RSBSOAP_DATAPayloadType_H
#define DEF_RSBSOAP_DATAPayloadType_H

/**
 *  <p>Java class for payloadType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="payloadType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="data" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
       &lt;/sequence>
       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="contentType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBSOAP_DATAPayloadType : NSObject
{
  @private
    NSString *_name;
    NSString *_contentType;
    NSData *_data;
}

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) contentType;

/**
 * (no documentation provided)
 */
- (void) setContentType: (NSString *) newContentType;

/**
 * (no documentation provided)
 */
- (NSData *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NSData *) newData;
@end /* interface RSBSOAP_DATAPayloadType */

#endif /* DEF_RSBSOAP_DATAPayloadType_H */
#ifndef DEF_RSBSOAP_DATAResultType_H
#define DEF_RSBSOAP_DATAResultType_H

/**
 *  <p>Java class for resultType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="resultType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="applicationName" type="{http://rsb.openanalytics.eu/types}applicationNameType"/>
         &lt;element name="jobId" type="{http://www.w3.org/2001/XMLSchema}string"/>
         &lt;element name="success" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
         &lt;element name="payload" type="{http://soap.rsb.openanalytics.eu/types}payloadType" maxOccurs="unbounded"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBSOAP_DATAResultType : NSObject <EnunciateXML>
{
  @private
    NSString *_applicationName;
    NSString *_jobId;
    BOOL _success;
    NSArray *_payload;
}

/**
 * (no documentation provided)
 */
- (NSString *) applicationName;

/**
 * (no documentation provided)
 */
- (void) setApplicationName: (NSString *) newApplicationName;

/**
 * (no documentation provided)
 */
- (NSString *) jobId;

/**
 * (no documentation provided)
 */
- (void) setJobId: (NSString *) newJobId;

/**
 * (no documentation provided)
 */
- (BOOL) success;

/**
 * (no documentation provided)
 */
- (void) setSuccess: (BOOL) newSuccess;

/**
 * (no documentation provided)
 */
- (NSArray *) payload;

/**
 * (no documentation provided)
 */
- (void) setPayload: (NSArray *) newPayload;
@end /* interface RSBSOAP_DATAResultType */

#endif /* DEF_RSBSOAP_DATAResultType_H */
#ifndef DEF_RSBSOAP_DATAParameter_H
#define DEF_RSBSOAP_DATAParameter_H

/**
 *  <p>Java class for anonymous complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType>
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBSOAP_DATAParameter : NSObject
{
  @private
    NSString *_name;
    NSString *_value;
}

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) value;

/**
 * (no documentation provided)
 */
- (void) setValue: (NSString *) newValue;
@end /* interface RSBSOAP_DATAParameter */

#endif /* DEF_RSBSOAP_DATAParameter_H */
#ifndef DEF_RSBREST_DATAResults_H
#define DEF_RSBREST_DATAResults_H

/**
 *  <p>Java class for resultsType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="resultsType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="result" type="{http://rest.rsb.openanalytics.eu/types}resultType" maxOccurs="unbounded" minOccurs="0"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATAResults : NSObject <EnunciateXML>
{
  @private
    NSArray *_contents;
}

/**
 * (no documentation provided)
 */
- (NSArray *) contents;

/**
 * (no documentation provided)
 */
- (void) setContents: (NSArray *) newContents;
@end /* interface RSBREST_DATAResults */

#endif /* DEF_RSBREST_DATAResults_H */
#ifndef DEF_RSBREST_DATARServiPools_H
#define DEF_RSBREST_DATARServiPools_H

/**
 *  <p>Java class for rServiPoolsType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="rServiPoolsType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="rServiPool" type="{http://rest.rsb.openanalytics.eu/types}rServiPoolType" maxOccurs="unbounded"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATARServiPools : NSObject <EnunciateXML>
{
  @private
    NSArray *_contents;
}

/**
 * (no documentation provided)
 */
- (NSArray *) contents;

/**
 * (no documentation provided)
 */
- (void) setContents: (NSArray *) newContents;
@end /* interface RSBREST_DATARServiPools */

#endif /* DEF_RSBREST_DATARServiPools_H */
#ifndef DEF_RSBREST_DATANodeInformation_H
#define DEF_RSBREST_DATANodeInformation_H

/**
 *  <p>Java class for nodeInformationType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="nodeInformationType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="healthy" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
       &lt;attribute name="uptime" use="required" type="{http://www.w3.org/2001/XMLSchema}long" />
       &lt;attribute name="uptimeText" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="servletContainerInfo" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="rsbVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="jvmMaxMemory" use="required" type="{http://www.w3.org/2001/XMLSchema}long" />
       &lt;attribute name="jvmFreeMemory" use="required" type="{http://www.w3.org/2001/XMLSchema}long" />
       &lt;attribute name="osLoadAverage" use="required" type="{http://www.w3.org/2001/XMLSchema}double" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATANodeInformation : NSObject <EnunciateXML>
{
  @private
    NSString *_name;
    BOOL _healthy;
    long long _uptime;
    NSString *_uptimeText;
    NSString *_servletContainerInfo;
    NSString *_rsbVersion;
    long long _jvmMaxMemory;
    long long _jvmFreeMemory;
    double _osLoadAverage;
}

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (BOOL) healthy;

/**
 * (no documentation provided)
 */
- (void) setHealthy: (BOOL) newHealthy;

/**
 * (no documentation provided)
 */
- (long long) uptime;

/**
 * (no documentation provided)
 */
- (void) setUptime: (long long) newUptime;

/**
 * (no documentation provided)
 */
- (NSString *) uptimeText;

/**
 * (no documentation provided)
 */
- (void) setUptimeText: (NSString *) newUptimeText;

/**
 * (no documentation provided)
 */
- (NSString *) servletContainerInfo;

/**
 * (no documentation provided)
 */
- (void) setServletContainerInfo: (NSString *) newServletContainerInfo;

/**
 * (no documentation provided)
 */
- (NSString *) rsbVersion;

/**
 * (no documentation provided)
 */
- (void) setRsbVersion: (NSString *) newRsbVersion;

/**
 * (no documentation provided)
 */
- (long long) jvmMaxMemory;

/**
 * (no documentation provided)
 */
- (void) setJvmMaxMemory: (long long) newJvmMaxMemory;

/**
 * (no documentation provided)
 */
- (long long) jvmFreeMemory;

/**
 * (no documentation provided)
 */
- (void) setJvmFreeMemory: (long long) newJvmFreeMemory;

/**
 * (no documentation provided)
 */
- (double) osLoadAverage;

/**
 * (no documentation provided)
 */
- (void) setOsLoadAverage: (double) newOsLoadAverage;
@end /* interface RSBREST_DATANodeInformation */

#endif /* DEF_RSBREST_DATANodeInformation_H */
#ifndef DEF_RSBREST_DATAFileType_H
#define DEF_RSBREST_DATAFileType_H

/**
 *  <p>Java class for fileType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="fileType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;attribute name="path" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATAFileType : NSObject
{
  @private
    NSString *_path;
    NSString *_name;
}

/**
 * (no documentation provided)
 */
- (NSString *) path;

/**
 * (no documentation provided)
 */
- (void) setPath: (NSString *) newPath;

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;
@end /* interface RSBREST_DATAFileType */

#endif /* DEF_RSBREST_DATAFileType_H */
#ifndef DEF_RSBREST_DATADirectory_H
#define DEF_RSBREST_DATADirectory_H

/**
 *  <p>Java class for directoryType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="directoryType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="directory" type="{http://rest.rsb.openanalytics.eu/types}directoryType" maxOccurs="unbounded" minOccurs="0"/>
         &lt;element name="file" type="{http://rest.rsb.openanalytics.eu/types}fileType" maxOccurs="unbounded" minOccurs="0"/>
       &lt;/sequence>
       &lt;attribute name="path" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       &lt;attribute name="uri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
       &lt;attribute name="empty" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATADirectory : NSObject <EnunciateXML>
{
  @private
    NSString *_path;
    NSString *_name;
    NSString *_uri;
    BOOL _empty;
    NSArray *_directories;
    NSArray *_files;
}

/**
 * (no documentation provided)
 */
- (NSString *) path;

/**
 * (no documentation provided)
 */
- (void) setPath: (NSString *) newPath;

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) uri;

/**
 * (no documentation provided)
 */
- (void) setUri: (NSString *) newUri;

/**
 * (no documentation provided)
 */
- (BOOL) empty;

/**
 * (no documentation provided)
 */
- (void) setEmpty: (BOOL) newEmpty;

/**
 * (no documentation provided)
 */
- (NSArray *) directories;

/**
 * (no documentation provided)
 */
- (void) setDirectories: (NSArray *) newDirectories;

/**
 * (no documentation provided)
 */
- (NSArray *) files;

/**
 * (no documentation provided)
 */
- (void) setFiles: (NSArray *) newFiles;
@end /* interface RSBREST_DATADirectory */

#endif /* DEF_RSBREST_DATADirectory_H */
#ifndef DEF_RSBREST_DATACatalogDirectory_H
#define DEF_RSBREST_DATACatalogDirectory_H

/**
 *  <p>Java class for catalogDirectory complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="catalogDirectory">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="file" type="{http://rest.rsb.openanalytics.eu/types}catalogFileType" maxOccurs="unbounded" minOccurs="0"/>
       &lt;/sequence>
       &lt;attribute name="type" use="required">
         &lt;simpleType>
           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
             &lt;enumeration value="EMAIL_REPLIES"/>
             &lt;enumeration value="JOB_CONFIGURATIONS"/>
             &lt;enumeration value="R_SCRIPTS"/>
             &lt;enumeration value="SWEAVE_FILES"/>
           &lt;/restriction>
         &lt;/simpleType>
       &lt;/attribute>
       &lt;attribute name="path" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATACatalogDirectory : NSObject
{
  @private
    NSString *_type;
    NSString *_path;
    NSArray *_files;
}

/**
 * (no documentation provided)
 */
- (NSString *) type;

/**
 * (no documentation provided)
 */
- (void) setType: (NSString *) newType;

/**
 * (no documentation provided)
 */
- (NSString *) path;

/**
 * (no documentation provided)
 */
- (void) setPath: (NSString *) newPath;

/**
 * (no documentation provided)
 */
- (NSArray *) files;

/**
 * (no documentation provided)
 */
- (void) setFiles: (NSArray *) newFiles;
@end /* interface RSBREST_DATACatalogDirectory */

#endif /* DEF_RSBREST_DATACatalogDirectory_H */
#ifndef DEF_RSBREST_DATACatalog_H
#define DEF_RSBREST_DATACatalog_H

/**
 *  <p>Java class for catalogType complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="catalogType">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="directory" type="{http://rest.rsb.openanalytics.eu/types}catalogDirectory" maxOccurs="4" minOccurs="4"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre>
 
 

 */
@interface RSBREST_DATACatalog : NSObject <EnunciateXML>
{
  @private
    NSArray *_directories;
}

/**
 * (no documentation provided)
 */
- (NSArray *) directories;

/**
 * (no documentation provided)
 */
- (void) setDirectories: (NSArray *) newDirectories;
@end /* interface RSBREST_DATACatalog */

#endif /* DEF_RSBREST_DATACatalog_H */
